## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iQuestStateFactory Struct Reference

A representation of a quest state in a quest factory. More...

`#include <tools/questmanager.h>`

List of all members.

## Public Member Functions

virtual iQuestTriggerResponseFactory * | CreateTriggerResponseFactory ()=0
| Create a new trigger response.
virtual const char * | GetName () const =0
| Get the name of this state.

## Detailed Description

A representation of a quest state in a quest factory.

A state is basically a collection of trigger response factories.

Definition at line 484 of file questmanager.h.

## Member Function Documentation

virtual iQuestTriggerResponseFactory* iQuestStateFactory::CreateTriggerResponseFactory | ( |  | ) | `[pure virtual]`

| Create a new trigger response.

virtual const char* iQuestStateFactory::GetName | ( |  | ) | const`[pure virtual]`

| Get the name of this state.

The documentation for this struct was generated from the following file:

- tools/questmanager.h